<?php

require_once 'app/model/db.class.php';


if ($_POST['accion']=='activar_periodo'){


    $periodo=$_POST['periodo'];
    $obj = new database();

  
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $query=$obj->consulta("select codigo,descripcion,estado from periodos where codigo='".$periodo."'");
    $obj->disconnect();

    $n=$obj->numero_de_filas($query);

    if ($n==1){

        $row = $obj->fetch_assoc($query);

        if ($row['estado']=="1"){
            echo "1";
        }
        else{
            echo "0";
        }
     
    }
    
 }

//----------------------------------------

 if ($_POST['accion']=='periodo_v_f'){

    $periodo=$_POST['periodo'];
    $numero=$_POST['numero'];
    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $query=$obj->consulta("update periodos set estado=". $numero. " where codigo='".$periodo."'");
    $obj->disconnect();

 }



?>